Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class UncheckedExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.common.util.concurrent.UncheckedExecutionException

All Implemented Interfaces:
  Serializable

    @Beta
    public class UncheckedExecutionException

extends RuntimeException

Unchecked variant of `ExecutionException`. As with `ExecutionException`, the exception's cause comes from a failed task, possibly run in another thread.

`UncheckedExecutionException` is intended as an alternative to `ExecutionException` when the exception thrown by a task is an unchecked exception. This allows the client code to continue to distinguish between checked and unchecked exceptions, even when they come from other threads.

When wrapping an `Error` from another thread, prefer `ExecutionError`.

Since:
  10.0
Author:
  Charles Fry
See Also:
  Serialized Form

Constructor Summary
`protected` | `UncheckedExecutionException()` Creates a new instance with `null` as its detail message.
`protected` | `UncheckedExecutionException(String message)` Creates a new instance with the given detail message.
`` | `UncheckedExecutionException(String message, Throwable cause)` Creates a new instance with the given detail message and cause.
`` | `UncheckedExecutionException(Throwable cause)` Creates a new instance with the given cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UncheckedExecutionException

    protected UncheckedExecutionException()

  Creates a new instance with `null` as its detail message.

### UncheckedExecutionException

    protected UncheckedExecutionException(String message)

  Creates a new instance with the given detail message.

### UncheckedExecutionException

    public UncheckedExecutionException(String message,
                                       Throwable cause)

  Creates a new instance with the given detail message and cause.

### UncheckedExecutionException

    public UncheckedExecutionException(Throwable cause)

  Creates a new instance with the given cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.